/*
 * Copyright 2005-2008 by beck et al. projects GmbH, Munich
 * Copyright 2009 by Kappich Systemberatung, Aachen
 * 
 * This file is part of de.bsvrz.pua.prot.
 * 
 * de.bsvrz.pua.prot is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * de.bsvrz.pua.prot is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with de.bsvrz.pua.prot.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.bsvrz.pua.prot.processing.archivebuffer;

import de.bsvrz.sys.funclib.losb.datk.ProtocolType;
import de.bsvrz.pua.prot.util.attributes.AttributeGroupDescription;

/**
 * Klasse die die Bestimmung des Archiv-Wertes einer Attributgruppe durchführt. Führt folgende Aufgaben durch:<br> - Archivanfragen stellen<br> -
 * Markierungsinformation erstellen<br> - Verschränken von Objekten<br>
 *
 * @author beck et al. projects GmbH
 * @author Martin Hilgers
 * @version $Revision$ / $Date$ / ($Author$)
 */
public class RealArchiveAttributeGroup extends RealArchiveElement {

	/**
	 * Konstruktor
	 *
	 * @param archiveUser    Verbindung zum Archivsystem. Legt die Archivanfrageparameter fest.
	 * @param atgDescription Beschreibung der Attributgruppe, deren Daten abgefrufen werden sollen.
	 * @param protocolType   Protokollart
	 * @param isShown        Wird das Element im Spalten-Bereich verwendet? <code>true</code>Element wird im Spalten Bereich verwendet.
	 */
	public RealArchiveAttributeGroup(ArchiveUser archiveUser, AttributeGroupDescription atgDescription, ProtocolType protocolType, boolean isShown) {
		super(archiveUser, atgDescription.qualifier.getDataDescription(), atgDescription.qualifier.object, protocolType, isShown, atgDescription.padData());
	}

	/** @see java.lang.Object#toString() */
	@Override
    public String toString() {
		return "Atg " + super.toString() + " Neu: " + value;
	}
}
